#!/bin/csh -f
#
# If the user invokes this script with "abc.c clean" then use the "clean"
# target of the abcmake file.
if ($1 == "clean") then
  cd ../src
  make -f abcmake clean
  cd ../poten
  rm -f *.o
  exit
endif
#
# Get compiler command and machine type, set environment variables for the
# makefile, change directory to the source directory, and execute the makefile.
#
set cf   = `comp.c compile`
set mach = `comp.c machine`

setenv CF   "$cf"
setenv MACH "$mach"

cd ../src

make -f abcmake
#
