      SUBROUTINE LCSA3 (CSA, ALF, DS, DT2, TDV)
C
C     LCSA3  - compute cosine factors for LAG calculation
C
C  Called by:
C     LCSA2  - compute cosine factors for LAG calculation
C
C  Calls:
C     nothing
C
      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
      ALFM = 1.D0 - ALF
      DS2 = DS*DS
      T3 = SQRT(ALFM*ALFM*DS2 + ALF*(ALF*DT2 + 2.D0*ALFM*DS*TDV))
      CSA = (ALFM*DS + ALF*TDV)/T3
      RETURN
      END
