      SUBROUTINE LIN2 (A11, A12, A21, A22, B1, B2, X1, X2)
C
C     LIN2   - solve two simultaneous linear equations
C
C  Called by:
C     BEND   - compute bending potential parameters
C
C  Calls:
C     nothing
C
      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
      BOT=A22-(A21*A12/A11)
      TOP=B2-(A21*B1/A11)
      X2=TOP/BOT
      TOP=B1-A12*X2
      X1=TOP/A11
      RETURN
      END
