      SUBROUTINE LPVAG (I, J, EVAG, E, THT, TVAG)
C
C     LPVAG  - extrapolate theta to E=VA
C
C  Called by:
C     PNORM  - normalizae LAG probabilities
C
C  Calls:
C     nothing
C
      IMPLICIT DOUBLE PRECISION (A-H, O-Z)
      DIMENSION E(3), THT(3), B(3)
C
      T = (THT(2)*(EVAG-E(3)) - THT(3)*(EVAG-E(2)))/(E(2)-E(3))
      CALL QUADFT (E, THT, B)
      T1 = B(1) + EVAG*(B(2)+EVAG*B(3))
C     WRITE(6, 610) I, J, T, T1
      IF(ABS(T-T1) .GT. 1.D-2) WRITE(6, 610) I, J, T, T1
      TVAG = T1
      RETURN
  610 FORMAT (' For I=', I2, ', J=',I2, ' linear and quadratic',
     *   ' extrapolation of THETA to E=VAG are',1P,2E13.5)              GCL0992
      END
